Install and configure (Ubuntu) in glance

Bug #1860589 reported by Jaspreet Singh on 2020-01-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Undecided
Unassigned

Bug Description

Hi team,

I am using below Ubuntu version.
root@controller:~# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=18.04
DISTRIB_CODENAME=bionic
DISTRIB_DESCRIPTION="Ubuntu 18.04.3 LTS"

I am trying install Glance (Openstack Stein release) on the controller nodes and not able to upload the cirros image. As I am getting below error.

root@controller:~# glance image-create --name "cirros" \
> --file cirros-0.4.0-x86_64-disk.img \
> --disk-format qcow2 --container-format bare \
> --visibility=public
HTTP 500 Internal Server Error: The server has either erred or is incapable of performing the requested operation.

Using below link for installation:
https://docs.openstack.org/glance/stein/install/install-ubuntu.html

I have also checked glance-api logs but couldn't able to solve the issue.

root@controller:/var/log/glance# tail -200 glance-api.log
2020-01-22 16:51:32.586 3236 INFO glance.common.wsgi [-] Started child 3261
2020-01-22 16:51:32.591 3261 INFO eventlet.wsgi.server [-] (3261) wsgi starting up on http://0.0.0.0:9292
2020-01-22 16:52:56.583 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-c7e306d6-a616-4603-ba44-15c240ae9d1a)
2020-01-22 16:52:57.064 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-d4e634b4-ca50-4c8b-95a4-c8500e317fc3)
2020-01-22 16:52:57.066 3261 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data: keystonemiddleware.auth_token._exceptions.ServiceError: Identity server rejected authorization necessary to fetch token data
2020-01-22 16:52:57.077 3261 INFO eventlet.wsgi.server [-] 127.0.0.1 - - [22/Jan/2020 16:52:57] "GET /v2/images HTTP/1.1" 401 566 1.001467
2020-01-22 16:52:58.233 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-3b4e6b91-b69e-4c42-a689-a759a2728c28)
2020-01-22 16:52:58.702 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-fcf68a53-a140-47b8-a731-8f03c870089d)
2020-01-22 16:52:58.703 3261 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data: keystonemiddleware.auth_token._exceptions.ServiceError: Identity server rejected authorization necessary to fetch token data
2020-01-22 16:52:58.711 3261 INFO eventlet.wsgi.server [-] 127.0.0.1 - - [22/Jan/2020 16:52:58] "GET /v2/images HTTP/1.1" 401 566 1.024462
2020-01-22 16:54:51.713 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-57a95211-b490-4ef1-907b-8c41311c6746)
2020-01-22 16:54:52.189 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-0d742759-1d00-4dfa-bb6d-8555cd958ad2)
2020-01-22 16:54:52.190 3261 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data: keystonemiddleware.auth_token._exceptions.ServiceError: Identity server rejected authorization necessary to fetch token data
2020-01-22 16:54:52.198 3261 INFO eventlet.wsgi.server [-] 127.0.0.1 - - [22/Jan/2020 16:54:52] "GET /v2/schemas/image HTTP/1.1" 401 566 0.954881
2020-01-22 16:54:53.319 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-9c8fb874-5ebd-4309-ae24-036913811918)
2020-01-22 16:54:53.793 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-213146d0-1093-40bb-8be1-26c33c1852fb)
2020-01-22 16:54:53.794 3261 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data: keystonemiddleware.auth_token._exceptions.ServiceError: Identity server rejected authorization necessary to fetch token data
2020-01-22 16:54:53.803 3261 INFO eventlet.wsgi.server [-] 127.0.0.1 - - [22/Jan/2020 16:54:53] "GET /v2/schemas/image HTTP/1.1" 401 566 0.973867
2020-01-22 16:55:14.047 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-ce64a8b3-08ad-4a9e-8684-ec58e0ccc6e1)
2020-01-22 16:55:14.528 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-fe882fa2-5791-42ee-a23d-12dc64e88e19)
2020-01-22 16:55:14.529 3261 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data: keystonemiddleware.auth_token._exceptions.ServiceError: Identity server rejected authorization necessary to fetch token data
2020-01-22 16:55:14.534 3261 INFO eventlet.wsgi.server [-] 127.0.0.1 - - [22/Jan/2020 16:55:14] "GET /v2/images HTTP/1.1" 401 566 0.959466
2020-01-22 16:55:15.609 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-557bfb3f-c208-4be3-9116-4170f10aa173)
2020-01-22 16:55:16.068 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-126b85ff-a60b-4aa3-b2bb-eb53dd6fc73d)
2020-01-22 16:55:16.068 3261 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data: keystonemiddleware.auth_token._exceptions.ServiceError: Identity server rejected authorization necessary to fetch token data
2020-01-22 16:55:16.078 3261 INFO eventlet.wsgi.server [-] 127.0.0.1 - - [22/Jan/2020 16:55:16] "GET /v2/images HTTP/1.1" 401 566 0.960178
2020-01-22 17:11:27.654 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-1516c723-8e1c-4182-b992-95156345c298)
2020-01-22 17:11:28.128 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-153deb6f-6518-426e-893d-b6856fd80b24)
2020-01-22 17:11:28.129 3261 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data: keystonemiddleware.auth_token._exceptions.ServiceError: Identity server rejected authorization necessary to fetch token data
2020-01-22 17:11:28.134 3261 INFO eventlet.wsgi.server [-] 127.0.0.1 - - [22/Jan/2020 17:11:28] "GET /v2/schemas/image HTTP/1.1" 401 566 0.961350
2020-01-22 17:37:25.664 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-1a35e524-e221-4eba-ba1a-0974b1a7cf0c)
2020-01-22 17:37:26.148 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-8d448a6e-f7c1-43f1-8e28-f02d9976ab43)
2020-01-22 17:37:26.148 3261 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data: keystonemiddleware.auth_token._exceptions.ServiceError: Identity server rejected authorization necessary to fetch token data
2020-01-22 17:37:26.156 3261 INFO eventlet.wsgi.server [-] 127.0.0.1 - - [22/Jan/2020 17:37:26] "GET /v2/schemas/image HTTP/1.1" 401 566 0.953436
2020-01-22 17:37:27.241 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-fe80d8fe-3ede-4c0b-94ba-12fab6aaaee5)
2020-01-22 17:37:27.716 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-c44ccf93-b682-421b-a23e-298b2750ae48)
2020-01-22 17:37:27.716 3261 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data: keystonemiddleware.auth_token._exceptions.ServiceError: Identity server rejected authorization necessary to fetch token data
2020-01-22 17:37:27.725 3261 INFO eventlet.wsgi.server [-] 127.0.0.1 - - [22/Jan/2020 17:37:27] "GET /v2/schemas/image HTTP/1.1" 401 566 0.959047
2020-01-22 17:37:40.700 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-2f754d83-6695-4b4e-98e1-c71015c34a8d)
2020-01-22 17:37:41.160 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-882f3db3-5fc2-444c-b733-aa828cf5b31c)
2020-01-22 17:37:41.161 3261 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data: keystonemiddleware.auth_token._exceptions.ServiceError: Identity server rejected authorization necessary to fetch token data
2020-01-22 17:37:41.166 3261 INFO eventlet.wsgi.server [-] 127.0.0.1 - - [22/Jan/2020 17:37:41] "GET /v2/schemas/image HTTP/1.1" 401 566 0.934693
2020-01-22 17:37:42.233 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-268ef895-1fa7-4688-8816-977c555615be)
2020-01-22 17:37:42.727 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-231d373e-677f-43b0-8cc3-1729e721fd14)
2020-01-22 17:37:42.728 3261 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data: keystonemiddleware.auth_token._exceptions.ServiceError: Identity server rejected authorization necessary to fetch token data
2020-01-22 17:37:42.735 3261 INFO eventlet.wsgi.server [-] 127.0.0.1 - - [22/Jan/2020 17:37:42] "GET /v2/schemas/image HTTP/1.1" 401 566 0.963435
2020-01-22 17:48:54.753 3261 INFO eventlet.wsgi.server [req-de4218cb-3ab6-4570-92fa-cd03ab85ba0c e2b978f7912a4546a7a73f211b1865b5 1d09f5bfc4f5474e81b099c4b6d8cc1a - default default] 127.0.0.1 - - [22/Jan/2020 17:48:54] "GET /v2/schemas/image HTTP/1.1" 200 5571 1.217183
2020-01-22 17:48:55.239 3261 INFO eventlet.wsgi.server [req-0dcc5816-1cb7-4c3f-85f3-9d99d6b26e03 e2b978f7912a4546a7a73f211b1865b5 1d09f5bfc4f5474e81b099c4b6d8cc1a - default default] 127.0.0.1 - - [22/Jan/2020 17:48:55] "GET /v2/schemas/image HTTP/1.1" 200 5571 0.484037
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi [req-f1a39ffb-fead-4c7e-8ffe-c56c3e8ac30d e2b978f7912a4546a7a73f211b1865b5 1d09f5bfc4f5474e81b099c4b6d8cc1a - default default] Caught error: (pymysql.err.ProgrammingError) (1146, "Table 'glance.images' doesn't exist") [SQL: 'INSERT INTO images (created_at, updated_at, deleted_at, deleted, id, name, disk_format, container_format, size, virtual_size, status, visibility, checksum, os_hash_algo, os_hash_value, min_disk, min_ram, owner, protected, os_hidden) VALUES (%(created_at)s, %(updated_at)s, %(deleted_at)s, %(deleted)s, %(id)s, %(name)s, %(disk_format)s, %(container_format)s, %(size)s, %(virtual_size)s, %(status)s, %(visibility)s, %(checksum)s, %(os_hash_algo)s, %(os_hash_value)s, %(min_disk)s, %(min_ram)s, %(owner)s, %(protected)s, %(os_hidden)s)'] [parameters: {'created_at': datetime.datetime(2020, 1, 22, 17, 48, 55, 713412), 'updated_at': datetime.datetime(2020, 1, 22, 17, 48, 55, 713412), 'deleted_at': None, 'deleted': 0, 'id': 'de6cdfe1-8889-475b-9741-1b6b03fdab88', 'name': 'cirros', 'disk_format': 'qcow2', 'container_format': 'bare', 'size': None, 'virtual_size': None, 'status': 'queued', 'visibility': 'public', 'checksum': None, 'os_hash_algo': None, 'os_hash_value': None, 'min_disk': 0, 'min_ram': 0, 'owner': '1d09f5bfc4f5474e81b099c4b6d8cc1a', 'protected': 0, 'os_hidden': 0}] (Background on this error at: http://sqlalche.me/e/f405): sqlalchemy.exc.ProgrammingError: (pymysql.err.ProgrammingError) (1146, "Table 'glance.images' doesn't exist") [SQL: 'INSERT INTO images (created_at, updated_at, deleted_at, deleted, id, name, disk_format, container_format, size, virtual_size, status, visibility, checksum, os_hash_algo, os_hash_value, min_disk, min_ram, owner, protected, os_hidden) VALUES (%(created_at)s, %(updated_at)s, %(deleted_at)s, %(deleted)s, %(id)s, %(name)s, %(disk_format)s, %(container_format)s, %(size)s, %(virtual_size)s, %(status)s, %(visibility)s, %(checksum)s, %(os_hash_algo)s, %(os_hash_value)s, %(min_disk)s, %(min_ram)s, %(owner)s, %(protected)s, %(os_hidden)s)'] [parameters: {'created_at': datetime.datetime(2020, 1, 22, 17, 48, 55, 713412), 'updated_at': datetime.datetime(2020, 1, 22, 17, 48, 55, 713412), 'deleted_at': None, 'deleted': 0, 'id': 'de6cdfe1-8889-475b-9741-1b6b03fdab88', 'name': 'cirros', 'disk_format': 'qcow2', 'container_format': 'bare', 'size': None, 'virtual_size': None, 'status': 'queued', 'visibility': 'public', 'checksum': None, 'os_hash_algo': None, 'os_hash_value': None, 'min_disk': 0, 'min_ram': 0, 'owner': '1d09f5bfc4f5474e81b099c4b6d8cc1a', 'protected': 0, 'os_hidden': 0}] (Background on this error at: http://sqlalche.me/e/f405)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi Traceback (most recent call last):
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 1193, in _execute_context
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi context)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/engine/default.py", line 509, in do_execute
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi cursor.execute(statement, parameters)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/cursors.py", line 165, in execute
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi result = self._query(query)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/cursors.py", line 321, in _query
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi conn.query(q)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 860, in query
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi self._affected_rows = self._read_query_result(unbuffered=unbuffered)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 1061, in _read_query_result
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi result.read()
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 1349, in read
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi first_packet = self.connection._read_packet()
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 1018, in _read_packet
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi packet.check_error()
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 384, in check_error
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi err.raise_mysql_exception(self._data)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/err.py", line 107, in raise_mysql_exception
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi raise errorclass(errno, errval)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi pymysql.err.ProgrammingError: (1146, "Table 'glance.images' doesn't exist")
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi The above exception was the direct cause of the following exception:
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi Traceback (most recent call last):
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/common/wsgi.py", line 1427, in __call__
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi request, **action_args)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/common/wsgi.py", line 1470, in dispatch
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi return method(*args, **kwargs)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/common/utils.py", line 417, in wrapped
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi return func(self, req, *args, **kwargs)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/api/v2/images.py", line 69, in create
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi image_repo.add(image)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/domain/proxy.py", line 94, in add
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi result = self.base.add(base_item)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/notifier.py", line 519, in add
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi super(ImageRepoProxy, self).add(image)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/domain/proxy.py", line 94, in add
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi result = self.base.add(base_item)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/api/policy.py", line 133, in add
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi return super(ImageRepoProxy, self).add(image)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/domain/proxy.py", line 94, in add
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi result = self.base.add(base_item)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/quota/__init__.py", line 121, in add
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi return super(ImageRepoProxy, self).add(image)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/domain/proxy.py", line 94, in add
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi result = self.base.add(base_item)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/location.py", line 74, in add
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi result = super(ImageRepoProxy, self).add(image)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/domain/proxy.py", line 94, in add
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi result = self.base.add(base_item)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/db/__init__.py", line 187, in add
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi new_values = self.db_api.image_create(self.context, image_values)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/db/sqlalchemy/api.py", line 147, in image_create
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi image = _image_update(context, values, None, purge_props=False)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/retrying.py", line 49, in wrapped_f
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi return Retrying(*dargs, **dkw).call(f, *args, **kw)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/retrying.py", line 206, in call
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi return attempt.get(self._wrap_exception)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/retrying.py", line 247, in get
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi six.reraise(self.value[0], self.value[1], self.value[2])
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/six.py", line 693, in reraise
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi raise value
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/retrying.py", line 200, in call
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/common/utils.py", line 603, in wrapper
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi return f(*args, **kwargs)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/db/sqlalchemy/api.py", line 876, in _image_update
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi image_ref.save(session=session)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/glance/db/sqlalchemy/models.py", line 73, in save
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi super(GlanceBase, self).save(session or db_api.get_session())
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/oslo_db/sqlalchemy/models.py", line 50, in save
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi session.flush()
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/orm/session.py", line 2313, in flush
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi self._flush(objects)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/orm/session.py", line 2440, in _flush
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi transaction.rollback(_capture_exception=True)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/util/langhelpers.py", line 66, in __exit__
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi compat.reraise(exc_type, exc_value, exc_tb)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/util/compat.py", line 249, in reraise
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi raise value
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/orm/session.py", line 2404, in _flush
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi flush_context.execute()
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/orm/unitofwork.py", line 395, in execute
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi rec.execute(self)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/orm/unitofwork.py", line 560, in execute
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi uow
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/orm/persistence.py", line 181, in save_obj
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi mapper, table, insert)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/orm/persistence.py", line 836, in _emit_insert_statements
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi execute(statement, multiparams)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 948, in execute
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi return meth(self, multiparams, params)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/sql/elements.py", line 269, in _execute_on_connection
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi return connection._execute_clauseelement(self, multiparams, params)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 1060, in _execute_clauseelement
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi compiled_sql, distilled_params
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 1200, in _execute_context
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi context)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 1409, in _handle_dbapi_exception
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi util.raise_from_cause(newraise, exc_info)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/util/compat.py", line 265, in raise_from_cause
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi reraise(type(exception), exception, tb=exc_tb, cause=cause)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/util/compat.py", line 248, in reraise
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi raise value.with_traceback(tb)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 1193, in _execute_context
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi context)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/sqlalchemy/engine/default.py", line 509, in do_execute
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi cursor.execute(statement, parameters)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/cursors.py", line 165, in execute
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi result = self._query(query)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/cursors.py", line 321, in _query
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi conn.query(q)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 860, in query
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi self._affected_rows = self._read_query_result(unbuffered=unbuffered)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 1061, in _read_query_result
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi result.read()
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 1349, in read
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi first_packet = self.connection._read_packet()
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 1018, in _read_packet
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi packet.check_error()
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 384, in check_error
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi err.raise_mysql_exception(self._data)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi File "/usr/lib/python3/dist-packages/pymysql/err.py", line 107, in raise_mysql_exception
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi raise errorclass(errno, errval)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi sqlalchemy.exc.ProgrammingError: (pymysql.err.ProgrammingError) (1146, "Table 'glance.images' doesn't exist") [SQL: 'INSERT INTO images (created_at, updated_at, deleted_at, deleted, id, name, disk_format, container_format, size, virtual_size, status, visibility, checksum, os_hash_algo, os_hash_value, min_disk, min_ram, owner, protected, os_hidden) VALUES (%(created_at)s, %(updated_at)s, %(deleted_at)s, %(deleted)s, %(id)s, %(name)s, %(disk_format)s, %(container_format)s, %(size)s, %(virtual_size)s, %(status)s, %(visibility)s, %(checksum)s, %(os_hash_algo)s, %(os_hash_value)s, %(min_disk)s, %(min_ram)s, %(owner)s, %(protected)s, %(os_hidden)s)'] [parameters: {'created_at': datetime.datetime(2020, 1, 22, 17, 48, 55, 713412), 'updated_at': datetime.datetime(2020, 1, 22, 17, 48, 55, 713412), 'deleted_at': None, 'deleted': 0, 'id': 'de6cdfe1-8889-475b-9741-1b6b03fdab88', 'name': 'cirros', 'disk_format': 'qcow2', 'container_format': 'bare', 'size': None, 'virtual_size': None, 'status': 'queued', 'visibility': 'public', 'checksum': None, 'os_hash_algo': None, 'os_hash_value': None, 'min_disk': 0, 'min_ram': 0, 'owner': '1d09f5bfc4f5474e81b099c4b6d8cc1a', 'protected': 0, 'os_hidden': 0}] (Background on this error at: http://sqlalche.me/e/f405)
2020-01-22 17:48:55.787 3261 ERROR glance.common.wsgi
2020-01-22 17:48:55.806 3261 INFO eventlet.wsgi.server [req-f1a39ffb-fead-4c7e-8ffe-c56c3e8ac30d e2b978f7912a4546a7a73f211b1865b5 1d09f5bfc4f5474e81b099c4b6d8cc1a - default default] 127.0.0.1 - - [22/Jan/2020 17:48:55] "POST /v2/images HTTP/1.1" 500 454 0.536884

Regards,
Jaspreet Singh
+919811779007

This bug tracker is for errors with the documentation, use the following as a template and remove or add fields as you see fit. Convert [ ] into [x] to check boxes:

- [ ] This doc is inaccurate in this way: ______
- [ ] This is a doc addition request.
- [ ] I have a fix to the document that I can paste below including example: input and output.

If you have a troubleshooting or support issue, use the following resources:

 - Ask OpenStack: http://ask.openstack.org
 - The mailing list: http://lists.openstack.org
 - IRC: 'openstack' channel on Freenode

-----------------------------------
Release: on 2018-08-22 10:01:34
SHA: 149ea050cc58f39eaf9b4660bb8f0271b99d03da
Source: https://git.openstack.org/cgit/openstack/glance/tree/doc/source/install/install-ubuntu.rst
URL: https://docs.openstack.org/glance/stein/install/install-ubuntu.html

Brian Rosmaita (brian-rosmaita) wrote :

Looks like the problem is:

2020-01-22 16:52:56.583 3261 WARNING keystonemiddleware.auth_token [-] Identity response: {"error":{"code":401,"message":"The request you have made requires authentication.","title":"Unauthorized"}}
: keystoneauth1.exceptions.http.Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-c7e306d6-a616-4603-ba44-15c240ae9d1a)

You need to make sure that you supply credentials when making the request, or if you are supplying credentials, make sure that they have the appropriate permissions to create an image.

Changed in glance:
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers